Subject: Re: [alpine-devel] Change root partition question

From: Dubiousjim <[email-masked]>
Date: Fri, 24 May 2013 07:48:21 -0400

On Fri, May 24, 2013 at 01:15:25PM +0200, Luca Bianchi wrote:
> 
> / is always mounted on old device /dev/xvd3  , the /dev/xvdb1 is no show
> 
> If i list mount option see / and /oldroot are mounted without the
> nobarrier option , so seem that the fstab file is ignored when
> system mount / partition

Right, / needs to be mounted first before the kernel can even SEE the
/etc/fstab file. (Though it would be possible for the / entry in the
fstab to be mounted on top of /, or to pivot to the / in the fstab. I
don't THINK that happens, but I'm not sure.) Anyway, the essential point
is that / is first mounted at an earlier stage, before /etc/fstab is
visible. How does the kernel know where to find /? Because your config
file for your bootloader will pass an argument like root=/dev/xvda3 to
the kernel. You need to change that. If you're using the extlinux
bootloader, look in /boot/extlinux.conf. If you're using grub or
pv-grub, look in /boot/grub/menu.lst. Depending on your setup, it may be
you have to change things in the host, outside your guest filesystems. I
haven't used XCP. But if you're using pv-grub to boot with a kernel
inside your own guest filesystems, then /boot/grub/menu.lst is what you
want.

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---